org.icefaces.ace.component.notificationpanel

## Class NotificationPanelBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.notificationpanel.NotificationPanelBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, INotificationPanel
  Direct Known Subclasses:
    NotificationPanel

      public abstract class NotificationPanelBase
      extends javax.faces.component.UIComponentBase
      implements INotificationPanel, IceClientBehaviorHolder

  The Notification Panel is a component that displays a multipurpose fixed positioned panel for notification. Any group of JSF content can be placed inside notification panel. If position of panel is out of place, try putting it as last child of body.

  For more information, see the NotificationPanel Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `NotificationPanelBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotificationPanelBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(java.lang.String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `java.lang.String` | `getDefaultEventName()`
    `java.lang.String` | `getDefaultExecute(java.lang.String event)`
    `java.lang.String` | `getDefaultRender(java.lang.String event)`
    `java.lang.String` | `getEffect()` Return the value of the `effect` property.
    `java.lang.String` | `getEffectSpeed()` Return the value of the `effectSpeed` property.
    `java.util.Collection<java.lang.String>` | `getEventNames()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getListenerArgument(java.lang.String event)`
    `java.lang.String` | `getPosition()` Return the value of the `position` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getWidgetVar()` Return the value of the `widgetVar` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `boolean` | `isVisible()` Return the value of the `visible` property.
    `void` | `setEffect(java.lang.String effect)` Set the value of the `effect` property.
    `void` | `setEffectSpeed(java.lang.String effectSpeed)` Set the value of the `effectSpeed` property.
    `void` | `setPosition(java.lang.String position)` Set the value of the `position` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setVisible(boolean visible)` Set the value of the `visible` property.
    `void` | `setWidgetVar(java.lang.String widgetVar)` Set the value of the `widgetVar` property.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NotificationPanelBase

          public NotificationPanelBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### setEffect

          public void setEffect(java.lang.String effect)

      Set the value of the `effect` property.

      Contents: Name of the effect, "fade", "slide" or "none".

      Specified by:
        `setEffect` in interface `INotificationPanel`

    - #### getEffect

          public java.lang.String getEffect()

      Return the value of the `effect` property.

      Contents: Name of the effect, "fade", "slide" or "none". Default = 'fade'.

      Specified by:
        `getEffect` in interface `INotificationPanel`

    - #### setEffectSpeed

          public void setEffectSpeed(java.lang.String effectSpeed)

      Set the value of the `effectSpeed` property.

      Contents: Speed of the effect, "slow", "normal" or "fast".

      Specified by:
        `setEffectSpeed` in interface `INotificationPanel`

    - #### getEffectSpeed

          public java.lang.String getEffectSpeed()

      Return the value of the `effectSpeed` property.

      Contents: Speed of the effect, "slow", "normal" or "fast". Default = 'normal'.

      Specified by:
        `getEffectSpeed` in interface `INotificationPanel`

    - #### setPosition

          public void setPosition(java.lang.String position)

      Set the value of the `position` property.

      Contents: Position of the bar, "top" or "bottom".

      Specified by:
        `setPosition` in interface `INotificationPanel`

    - #### getPosition

          public java.lang.String getPosition()

      Return the value of the `position` property.

      Contents: Position of the bar, "top" or "bottom". Default = 'top'.

      Specified by:
        `getPosition` in interface `INotificationPanel`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: Style of the container element.

      Specified by:
        `setStyle` in interface `INotificationPanel`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: Style of the container element.

      Specified by:
        `getStyle` in interface `INotificationPanel`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: StyleClass of the container element.

      Specified by:
        `setStyleClass` in interface `INotificationPanel`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: StyleClass of the container element.

      Specified by:
        `getStyleClass` in interface `INotificationPanel`

    - #### setVisible

          public void setVisible(boolean visible)

      Set the value of the `visible` property.

      Contents: Set visibility from the server

      Specified by:
        `setVisible` in interface `INotificationPanel`

    - #### isVisible

          public boolean isVisible()

      Return the value of the `visible` property.

      Contents: Set visibility from the server Default = 'false'.

      Specified by:
        `isVisible` in interface `INotificationPanel`

    - #### setWidgetVar

          public void setWidgetVar(java.lang.String widgetVar)

      Set the value of the `widgetVar` property.

      Contents: Name of the client side widget.

      Specified by:
        `setWidgetVar` in interface `INotificationPanel`

    - #### getWidgetVar

          public java.lang.String getWidgetVar()

      Return the value of the `widgetVar` property.

      Contents: Name of the client side widget.

      Specified by:
        `getWidgetVar` in interface `INotificationPanel`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public java.util.Collection<java.lang.String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public java.lang.String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultRender

          public java.lang.String getDefaultRender(java.lang.String event)

      Specified by:
        `getDefaultRender` in interface `IceClientBehaviorHolder`

    - #### getDefaultExecute

          public java.lang.String getDefaultExecute(java.lang.String event)

      Specified by:
        `getDefaultExecute` in interface `IceClientBehaviorHolder`

    - #### getListenerArgument

          public java.lang.String getListenerArgument(java.lang.String event)

      Specified by:
        `getListenerArgument` in interface `IceClientBehaviorHolder`

    - #### addClientBehavior

          public void addClientBehavior(java.lang.String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.